#################################
#		Secret Rooms 2
#		Gameloop Function
#		
#		-Hub for all constantly
#		running commands
#
#		By Brozziest
#
#################################

execute as @e[tag=levelVillager] at @s run data merge entity @s {Offers:{Recipes:[]}}
execute as @e[type=falling_block,tag=paintingProt] at @s run data merge entity @s {Time:1s}

team join players @a[team=!players]
effect give @a regeneration 2 1 true
effect give @a saturation 2 1 true
#################################  Lobby Particles and Statue Animation #################################


execute as @e[tag=particlebrozzi,nbt={Rotation:[0f,90f]}] at @s run tag @s add down
execute as @e[tag=particlebrozzi,nbt={Rotation:[0f,-90f]}] at @s run tag @s add up
execute as @e[tag=particlebrozzi,nbt={Rotation:[0f,90f]}] at @s run tag @s remove up
execute as @e[tag=particlebrozzi,nbt={Rotation:[0f,-90f]}] at @s run tag @s remove down
execute as @e[tag=particlebrozzi,tag=down] at @s run tp @s ~ ~ ~ ~-4 ~-1
execute as @e[tag=particlebrozzi,tag=up] at @s run tp @s ~ ~ ~ ~-4 ~1
execute as @e[tag=brozziestAS] at @s run tp @s ~ ~ ~ ~4 ~
execute as @e[tag=particlebrozzi] at @s run tp @e[tag=brozzidoor1] ^1.5 ^ ^1.5 facing entity @e[tag=particlebrozzi,limit=1] eyes
execute as @e[tag=particlebrozzi] at @s run tp @e[tag=brozzidoor2] ^-1.5 ^ ^-1.5 facing entity @e[tag=particlebrozzi,limit=1] eyes
execute as @e[tag=brozzidoor1] at @s run tp @s ~ ~-1 ~
execute as @e[tag=brozzidoor2] at @s run tp @s ~ ~-1 ~

execute as @e[tag=particlebrozzi] at @s anchored eyes if entity @a[distance=..50] run particle minecraft:end_rod ^1.5 ^ ^1.5 0 0 0 0 1 force @a
execute as @e[tag=particlebrozzi] at @s anchored eyes if entity @a[distance=..50] run particle minecraft:end_rod ^-1.5 ^ ^-1.5 0 0 0 0 1 force @a
execute as @e[tag=particlebrozzi] at @s anchored eyes if entity @a[distance=..50] run particle minecraft:dragon_breath ^-2 ^ ^2 0 0 0 0 1 force @a
execute as @e[tag=particlebrozzi] at @s anchored eyes if entity @a[distance=..50] run particle minecraft:dragon_breath ^2 ^ ^-2 0 0 0 0 1 force @a

execute as @e[tag=particlebrozzi] at @s anchored eyes if entity @a[distance=..50] run particle minecraft:portal ~ ~-1 ~ 100 -100 0 .01 0 force @a
execute as @e[tag=particlebrozzi] at @s anchored eyes if entity @a[distance=..50] run particle minecraft:portal ~ ~-1 ~ 0 -100 100 .01 0 force @a
execute as @e[tag=particlebrozzi] at @s anchored eyes if entity @a[distance=..50] run particle minecraft:portal ~ ~-1 ~ 100 -100 100 .01 0 force @a
execute as @e[tag=particlebrozzi] at @s anchored eyes if entity @a[distance=..50] run particle minecraft:portal ~ ~-1 ~ -100 -100 0 .01 0 force @a
execute as @e[tag=particlebrozzi] at @s anchored eyes if entity @a[distance=..50] run particle minecraft:portal ~ ~-1 ~ 0 -100 -100 .01 0 force @a
execute as @e[tag=particlebrozzi] at @s anchored eyes if entity @a[distance=..50] run particle minecraft:portal ~ ~-1 ~ -100 -100 -100 .01 0 force @a
execute as @e[tag=particlebrozzi] at @s anchored eyes if entity @a[distance=..50] run particle minecraft:portal ~ ~-1 ~ -100 -100 100 .01 0 force @a
execute as @e[tag=particlebrozzi] at @s anchored eyes if entity @a[distance=..50] run particle minecraft:portal ~ ~-1 ~ 100 -100 -100 .01 0 force @a

execute as @e[tag=lvl1lock4,nbt={CustomNameVisible:1b}] at @s run particle minecraft:barrier ~ ~-.2 ~ 0 0 0 1 1 force
execute as @e[tag=lvl2lock3,nbt={CustomNameVisible:1b}] at @s run particle minecraft:barrier ~ ~-.5 ~ 0 0 0 1 1 force
execute as @e[tag=lvl3lock3,nbt={CustomNameVisible:1b}] at @s run particle minecraft:barrier ~ ~-.5 ~ 0 0 0 1 1 force
execute as @e[tag=lvl4lock3,nbt={CustomNameVisible:1b}] at @s run particle minecraft:barrier ~ ~-.5 ~ 0 0 0 1 1 force
execute as @e[tag=lvl5lock3,nbt={CustomNameVisible:1b}] at @s run particle minecraft:barrier ~ ~-.5 ~ 0 0 0 1 1 force


execute as @e[tag=treasure] at @s run particle happy_villager ~ ~-.2 ~ .2 0 .2 1 1 force




#################################   Animation functions #################################

function secretrooms2:levelanimation/playanimations

function secretrooms2:villagerclicks
execute as @e[tag=storeInfo] at @s if entity @a[tag=infoanim] run function secretrooms2:instrunctionanimation
execute as @e[tag=storeInfo] at @s if entity @a[tag=playShout] unless entity @a[tag=playedShout] run function secretrooms2:levelanimation/shoutouts
scoreboard players set @a vclick 0


execute as @e[tag=shouted] at @s run tp @s ~ ~ ~ ~-2 ~

#################################   Level Teleports   #################################

execute as @e[scores={level=2},x=19,y=6,z=-21,dx=0,dy=6,dz=4] at @s run function secretrooms2:levels/lvl_1_startup
execute as @e[scores={level=3},x=-3,y=6,z=-21,dx=0,dy=6,dz=4] at @s run function secretrooms2:levels/lvl_2_startup
execute as @e[scores={level=4},x=19,y=6,z=-30,dx=0,dy=6,dz=4] at @s run function secretrooms2:levels/lvl_3_startup
execute as @e[scores={level=5},x=-3,y=6,z=-30,dx=0,dy=6,dz=4] at @s run function secretrooms2:levels/lvl_4_startup
execute as @e[scores={level=6},x=6,y=6,z=-41,dx=4,dy=6,dz=0] at @s run function secretrooms2:levels/lvl_5_startup




################################   Level Functions ################################

execute as @e[scores={level=2},tag=inlvl1] at @s run function secretrooms2:levels/lvl_1
execute as @e[scores={level=3},tag=inlvl2] at @s run function secretrooms2:levels/lvl_2
execute as @e[scores={level=4},tag=inlvl3] at @s run function secretrooms2:levels/lvl_3
execute as @e[scores={level=5},tag=inlvl4] at @s run function secretrooms2:levels/lvl_4
execute as @e[scores={level=6},tag=inlvl5] at @s run function secretrooms2:levels/lvl_5

execute as @e[tag=storeInfo,limit=1] at @s if entity @a[scores={level=7},tag=inlvl5] run function secretrooms2:levels/level_finish
################################   Tip Animation   ################################

scoreboard players add @e[tag=storeInfo] tipTimer 1

execute if entity @e[tag=storeInfo,scores={tipTimer=1}] run scoreboard objectives modify tip displayname [{"text":"Tips Use","color":"aqua","bold":"true"},{"text":"d","color":"red","bold":"true"}]
execute if entity @e[tag=storeInfo,scores={tipTimer=2}] run scoreboard objectives modify tip displayname [{"text":"Tips Us","color":"aqua","bold":"true"},{"text":"ed","color":"red","bold":"true"}]
execute if entity @e[tag=storeInfo,scores={tipTimer=4}] run scoreboard objectives modify tip displayname [{"text":"Tips U","color":"aqua","bold":"true"},{"text":"se","color":"red","bold":"true"},{"text":"d","color":"gold","bold":"true"}]
execute if entity @e[tag=storeInfo,scores={tipTimer=6}] run scoreboard objectives modify tip displayname [{"text":"Tips","color":"aqua","bold":"true"},{"text":" Us","color":"red","bold":"true"},{"text":"ed","color":"gold","bold":"true"}]
execute if entity @e[tag=storeInfo,scores={tipTimer=8}] run scoreboard objectives modify tip displayname [{"text":"Tip","color":"aqua","bold":"true"},{"text":"s U","color":"red","bold":"true"},{"text":"se","color":"gold","bold":"true"},{"text":"d","color":"yellow","bold":"true"}]
execute if entity @e[tag=storeInfo,scores={tipTimer=10}] run scoreboard objectives modify tip displayname [{"text":"Ti","color":"aqua","bold":"true"},{"text":"ps","color":"red","bold":"true"},{"text":" Us","color":"gold","bold":"true"},{"text":"ed","color":"yellow","bold":"true"}]
execute if entity @e[tag=storeInfo,scores={tipTimer=12}] run scoreboard objectives modify tip displayname [{"text":"T","color":"aqua","bold":"true"},{"text":"ip","color":"red","bold":"true"},{"text":"s U","color":"gold","bold":"true"},{"text":"se","color":"yellow","bold":"true"},{"text":"d","color":"red","bold":"true"}]
execute if entity @e[tag=storeInfo,scores={tipTimer=14}] run scoreboard objectives modify tip displayname [{"text":"Ti","color":"red","bold":"true"},{"text":"ps","color":"gold","bold":"true"},{"text":" Us","color":"yellow","bold":"true"},{"text":"ed","color":"red","bold":"true"}]
execute if entity @e[tag=storeInfo,scores={tipTimer=16}] run scoreboard objectives modify tip displayname [{"text":"T","color":"red","bold":"true"},{"text":"ip","color":"gold","bold":"true"},{"text":"s U","color":"yellow","bold":"true"},{"text":"se","color":"red","bold":"true"},{"text":"d","color":"gold","bold":"true"}]
execute if entity @e[tag=storeInfo,scores={tipTimer=18}] run scoreboard objectives modify tip displayname [{"text":"Ti","color":"gold","bold":"true"},{"text":"ps","color":"yellow","bold":"true"},{"text":" Us","color":"red","bold":"true"},{"text":"ed","color":"gold","bold":"true"}]
execute if entity @e[tag=storeInfo,scores={tipTimer=20}] run scoreboard objectives modify tip displayname [{"text":"T","color":"gold","bold":"true"},{"text":"ip","color":"yellow","bold":"true"},{"text":"s U","color":"red","bold":"true"},{"text":"se","color":"gold","bold":"true"},{"text":"d","color":"yellow","bold":"true"}]
execute if entity @e[tag=storeInfo,scores={tipTimer=22}] run scoreboard objectives modify tip displayname [{"text":"Ti","color":"yellow","bold":"true"},{"text":"ps","color":"red","bold":"true"},{"text":" Us","color":"gold","bold":"true"},{"text":"ed","color":"yellow","bold":"true"}]
execute if entity @e[tag=storeInfo,scores={tipTimer=24}] run scoreboard objectives modify tip displayname [{"text":"T","color":"yellow","bold":"true"},{"text":"ip","color":"red","bold":"true"},{"text":"s U","color":"gold","bold":"true"},{"text":"se","color":"yellow","bold":"true"},{"text":"d","color":"red","bold":"true"}]
execute if entity @e[tag=storeInfo,scores={tipTimer=26}] run scoreboard objectives modify tip displayname [{"text":"Ti","color":"red","bold":"true"},{"text":"ps","color":"gold","bold":"true"},{"text":" Us","color":"yellow","bold":"true"},{"text":"ed","color":"red","bold":"true"}]
execute if entity @e[tag=storeInfo,scores={tipTimer=28}] run scoreboard objectives modify tip displayname [{"text":"T","color":"red","bold":"true"},{"text":"ip","color":"gold","bold":"true"},{"text":"s U","color":"yellow","bold":"true"},{"text":"se","color":"red","bold":"true"},{"text":"d","color":"aqua","bold":"true"}]
execute if entity @e[tag=storeInfo,scores={tipTimer=30}] run scoreboard objectives modify tip displayname [{"text":"Ti","color":"gold","bold":"true"},{"text":"ps","color":"yellow","bold":"true"},{"text":" Us","color":"red","bold":"true"},{"text":"ed","color":"aqua","bold":"true"}]
execute if entity @e[tag=storeInfo,scores={tipTimer=32}] run scoreboard objectives modify tip displayname [{"text":"T","color":"gold","bold":"true"},{"text":"ip","color":"yellow","bold":"true"},{"text":"s U","color":"red","bold":"true"},{"text":"sed","color":"aqua","bold":"true"}]
execute if entity @e[tag=storeInfo,scores={tipTimer=34}] run scoreboard objectives modify tip displayname [{"text":"Ti","color":"yellow","bold":"true"},{"text":"ps","color":"red","bold":"true"},{"text":" Used","color":"aqua","bold":"true"}]
execute if entity @e[tag=storeInfo,scores={tipTimer=36}] run scoreboard objectives modify tip displayname [{"text":"T","color":"yellow","bold":"true"},{"text":"ip","color":"red","bold":"true"},{"text":"s Used","color":"aqua","bold":"true"}]
execute if entity @e[tag=storeInfo,scores={tipTimer=38}] run scoreboard objectives modify tip displayname [{"text":"Ti","color":"red","bold":"true"},{"text":"ps Used","color":"aqua","bold":"true"}]
execute if entity @e[tag=storeInfo,scores={tipTimer=40}] run scoreboard objectives modify tip displayname [{"text":"T","color":"red","bold":"true"},{"text":"ips Used","color":"aqua","bold":"true"}]
execute if entity @e[tag=storeInfo,scores={tipTimer=44}] run scoreboard objectives modify tip displayname [{"text":"Tips Used","color":"aqua","bold":"true"}]

execute if entity @e[tag=storeInfo,scores={tipTimer=100}] run scoreboard players set @e[tag=storeInfo] tipTimer 0


execute as @e[type=item] at @s run data merge entity @s {Age:-32768}

######## Pig Stay In Pen ##########

execute as @e[type=pig] at @s if entity @e[tag=pigsIn,distance=..2] run tp @s ^ ^.1 ^-.5 facing entity @e[tag=pigsIn,limit=1]

execute as @e[type=arrow,nbt={inGround:1b}] at @s run scoreboard players add @s arrowTimer 1
execute as @e[type=arrow,nbt={inGround:1b},scores={arrowTimer=20}] at @s run kill @s

############### Extra Room Ideas TP ############

execute as @a at @s if entity @s[tag=unusedTo] run tp @s 8 38 308
execute as @a at @s if entity @s[tag=unusedBack] run tp @s 8 6 8

tellraw @a[tag=unusedTo] ["",{"text":"-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-","color":"gold"}]
tellraw @a[tag=unusedTo] ["",{"text":"  These are some Secret Room   ","color":"aqua"}]
tellraw @a[tag=unusedTo] ["",{"text":" Ideas that didnt make the cut ","color":"aqua"}]
tellraw @a[tag=unusedTo] ["",{"text":"   Or didnt fit a room theme   ","color":"aqua"}]
tellraw @a[tag=unusedTo] ["",{"text":"-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-","color":"gold"}]

tag @a remove unusedTo
tag @a remove unusedBack

execute as @e[type=item,nbt={Item:{id:"minecraft:birch_stairs"}}] at @s run data merge entity @s {Item:{tag:{CanPlaceOn:["minecraft:light_blue_concrete"]}}}
execute as @e[type=item,nbt={Item:{id:"minecraft:pink_shulker_box"}}] at @s run data merge entity @s {Item:{tag:{CanPlaceOn:["minecraft:yellow_concrete"]}}}
execute as @e[type=item,nbt={Item:{id:"minecraft:yellow_shulker_box"}}] at @s run data merge entity @s {Item:{tag:{CanPlaceOn:["minecraft:yellow_concrete"]}}}

execute if block -14 38 314 stone_button[powered=true] run function secretrooms2:unused_text/brewing
execute if block 14 38 330 stone_button[powered=true] run function secretrooms2:unused_text/beds
execute if block 1 38 326 stone_button[powered=true] run function secretrooms2:unused_text/campfire
execute if block -10 38 302 stone_button[powered=true] run function secretrooms2:unused_text/furnace
execute if block 14 38 290 stone_button[powered=true] run function secretrooms2:unused_text/shulker_open
execute if block 2 38 286 stone_button[powered=true] run function secretrooms2:unused_text/shulker_place
execute if block 26 38 315 stone_button[powered=true] run function secretrooms2:unused_text/stairs
execute if block 30 38 301 stone_button[powered=true] run function secretrooms2:unused_text/string

