#################################
#		Secret Rooms 2
#		Level finish
#
#		-Commands once level is complete
#
#		By Brozziest
#
#################################

scoreboard players add @e[tag=storeInfo] lfclock 1

execute as @a at @s if entity @e[tag=storeInfo,scores={lfclock=1}] run playsound minecraft:ui.toast.challenge_complete master @s ~ ~ ~ 1 1.5

execute if entity @e[tag=storeInfo,scores={lfclock=1}] if entity @a[tag=inlvl1,limit=1] run title @a title [{"text":"Level Complete!","color":"yellow"}]
execute if entity @e[tag=storeInfo,scores={lfclock=40}] if entity @a[tag=inlvl1,limit=1] run title @a subtitle [{"text":"Their end is your beginning","color":"dark_red"}]

execute if entity @e[tag=storeInfo,scores={lfclock=1}] if entity @a[tag=inlvl2,limit=1] run title @a title [{"text":"Level Complete!","color":"dark_red"}]
execute if entity @e[tag=storeInfo,scores={lfclock=40}] if entity @a[tag=inlvl2,limit=1] run title @a subtitle [{"text":"Pretty cozy but time to move on.","color":"red"}]

execute if entity @e[tag=storeInfo,scores={lfclock=1}] if entity @a[tag=inlvl3,limit=1] run title @a title [{"text":"Level Complete!","color":"aqua"}]
execute if entity @e[tag=storeInfo,scores={lfclock=40}] if entity @a[tag=inlvl3,limit=1] run title @a subtitle [{"text":"You're just drowning in treasure...","color":"dark_blue"}]

execute if entity @e[tag=storeInfo,scores={lfclock=1}] if entity @a[tag=inlvl4,limit=1] run title @a title [{"text":"Level Complete!","color":"red"}]
execute if entity @e[tag=storeInfo,scores={lfclock=40}] if entity @a[tag=inlvl4,limit=1] run title @a subtitle [{"text":"Its not much but its honest work.","color":"yellow"}]

execute if entity @e[tag=storeInfo,scores={lfclock=1}] if entity @a[tag=inlvl5,limit=1] run title @a title [{"text":"Level Complete!","color":"gold"}]
execute if entity @e[tag=storeInfo,scores={lfclock=40}] if entity @a[tag=inlvl5,limit=1] run title @a subtitle [{"text":"~ The End ~","color":"light_purple"}]


execute if entity @e[tag=storeInfo,scores={lfclock=100}] run time set day
execute if entity @e[tag=storeInfo,scores={lfclock=100}] run tp @a 8 6 8 180 -10
execute as @a at @s if entity @e[tag=storeInfo,scores={lfclock=101}] run playsound minecraft:entity.item.pickup master @s ~ ~ ~ 2 1
execute if entity @e[tag=storeInfo,scores={lfclock=101}] run tag @a remove inlvl1
execute if entity @e[tag=storeInfo,scores={lfclock=101}] run tag @a remove inlvl2
execute if entity @e[tag=storeInfo,scores={lfclock=101}] run tag @a remove inlvl3
execute if entity @e[tag=storeInfo,scores={lfclock=101}] run tag @a remove inlvl4
execute if entity @e[tag=storeInfo,scores={lfclock=101}] run tag @a remove nUsed
execute if entity @e[tag=storeInfo,scores={lfclock=101}] run tag @a remove tUsed
execute if entity @e[tag=storeInfo,scores={lfclock=101}] run tag @a remove eUsed
execute if entity @e[tag=storeInfo,scores={lfclock=101}] run tag @a remove dUsed
execute if entity @e[tag=storeInfo,scores={lfclock=101}] run tag @a remove aUsed
execute if entity @e[tag=storeInfo,scores={lfclock=101}] run tag @a remove nRoom
execute if entity @e[tag=storeInfo,scores={lfclock=101}] run tag @a remove tRoom
execute if entity @e[tag=storeInfo,scores={lfclock=101}] run tag @a remove eRoom
execute if entity @e[tag=storeInfo,scores={lfclock=101}] run tag @a remove dRoom
execute if entity @e[tag=storeInfo,scores={lfclock=101}] run tag @a remove aRoom
execute if entity @e[tag=storeInfo,scores={lfclock=101}] run clear @a
execute if entity @e[tag=storeInfo,scores={lfclock=101}] run xp set @a 0 levels
execute if entity @e[tag=storeInfo,scores={lfclock=101}] run scoreboard players add @a level 1
execute if entity @e[tag=storeInfo,scores={lfclock=101}] unless entity @a[scores={level=7}] run scoreboard players set @e[tag=storeInfo] lfclock 0

execute as @a at @s if entity @e[tag=storeInfo,scores={lfclock=120}] run playsound minecraft:ui.toast.challenge_complete master @s ~ ~ ~ 1 2
execute if entity @e[tag=storeInfo,scores={lfclock=120}] run title @a title [{"text":"Congrats!","color":"gold"}]
execute if entity @e[tag=storeInfo,scores={lfclock=120}] run title @a subtitle [{"text":"You found all 25 rooms!","color":"dark_blue"}]
execute if entity @e[tag=storeInfo,scores={lfclock=220}] run title @a title [{"text":"Map By","color":"yellow"}]
execute if entity @e[tag=storeInfo,scores={lfclock=220}] run title @a subtitle [{"text":"Brozziest","color":"gold"}]

execute if entity @e[tag=storeInfo,scores={lfclock=320}] run title @a title [{"text":"Thanks for Playing!","color":"gray"}]
execute if entity @e[tag=storeInfo,scores={lfclock=420}] run title @a title [{"text":"Click on the sign","color":"gold"}]
execute if entity @e[tag=storeInfo,scores={lfclock=420}] run title @a subtitle [{"text":"To check out unused ideas","color":"gold"}]


execute if entity @e[tag=storeInfo,scores={lfclock=440}] run setblock 8 5 -3 minecraft:birch_sign
execute if entity @e[tag=storeInfo,scores={lfclock=440}] run data merge block 8 5 -3 {Text1:"{\"text\":\"==============\",\"clickEvent\":{\"action\":\"run_command\",\"value\":\"tag @s add unusedTo\"},\"color\":\"gold\"}",Text2:"{\"text\":\"Click here to\",\"clickEvent\":{\"action\":\"run_command\",\"value\":\"tag @s add unusedTo\"},\"color\":\"dark_blue\"}",Text3:"{\"text\":\"visit all the\",\"clickEvent\":{\"action\":\"run_command\",\"value\":\"tag @s add unusedTo\"},\"color\":\"dark_blue\"}",Text4:"{\"text\":\"unused ideas\",\"clickEvent\":{\"action\":\"run_command\",\"value\":\"tag @s add unusedTo\"},\"color\":\"dark_blue\"}"}
execute if entity @e[tag=storeInfo,scores={lfclock=440}] run tag @a remove inlvl5
execute if entity @e[tag=storeInfo,scores={lfclock=440}] run scoreboard players add @a level 1
execute if entity @e[tag=storeInfo,scores={lfclock=440}] run scoreboard players set @e[tag=storeInfo] lfclock 0
